<?php
class Compras extends Controller
{
	protected $_fechaActual;
	protected $_iduser;
	protected $_csstyle;
    protected $_tables;
    protected $_role;

	function __construct()
	{
		parent::controller();

		if(!$this->redux_auth->logged_in())
		{//verificar si el el usuario ha iniciado sesion
 			redirect(base_url().'login');
 		}
        
		$datestring   = "%Y-%m-%d %H:%i:%s";
	    $this->_fechaActual = mdate($datestring,now());

		$this->_iduser = $this->session->userdata('id');
		$this->_role = $this->session->userdata('role');

		$this->config->load('datatables', TRUE);
		$this->_tables = $this->config->item('datatables');

		$this->config->load('style', TRUE);
		$this->_csstyle = $this->config->item('style');

        $this->config->load('js',TRUE);
        $this->_jss=$this->config->item('js');

        $this->load->model("modelousuario","modelousuario");
        $this->load->model("modeloclientes","modeloclientes");
        $this->load->model("ventas_model","ventas");


	}//construct

	function index()
	{
		$Data['title']= "Panel de Administración";
		$Data['cassadmin']=$this->_csstyle["cassadmin"];
		$Data['csmenu']=$this->_csstyle["csmenu"];
		$Data['csvalidate']=$this->_csstyle["csvalidate"];
		
		$Data['csui']=$this->_csstyle["csui"];
		//$Data['csuidemo']=$this->_csstyle["csuidemo"];
		
		$Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
		$Data['Fecha_actual']=$this->_fechaActual;
		$Data['Jquical']=$this->_jss['jquerycal'];
		$Data['Jry']=$this->_jss['jquery'];
		$Data['Jqui']=$this->_jss['jqueryui'];
		$Data['jvalidate']=$this->_jss['jvalidate'];
		$Data['jFicha_cliente']=$this->_jss['jFicha_cliente'];
		$Data['JFunMensajeria']=$this->_jss['JFunMensajeria'];
		$this->load->view("cabezera",$Data);
		$this->load->view('header',$Data);
		$this->load->view("principal",$Data);
		$Conte['Categoria']=$this->uri->segment(1);
		
		$Datos['Cotizaciones'] = $this->ventas->cotizacion_todos_proveedores();
		
		$this->load->view('compras/ventas',$Datos);
		$this->load->view("pie",$Data);
	}//function

public function add(){

             $Data['title']= "Panel de Administración";
	 $Data['cassadmin']=$this->_csstyle["cassadmin"];
            $Data['csmenu']=$this->_csstyle["csmenu"];
        $Data['csvalidate']=$this->_csstyle["csvalidate"];


   $Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
  $Data['Fecha_actual']=$this->_fechaActual;

            $Data['Jry']=$this->_jss['jquery'];
      $Data['jvalidate']=$this->_jss['jvalidate'];

       $this->load->view("cabezera",$Data);
       $this->load->view('header',$Data);
       $this->load->view("principal",$Data);

      $Conte['Categoria']=$this->uri->segment(1);
          $Conte['Serie']=$this->modeloclientes->getGeneraSerieID();

      $this->load->view("clientes/add",$Conte);

      $this->load->view("pie",$Data);


}//Finn del ADD

public function saveNewCliente(){

    if(!empty ($_POST)){
        if($this->modeloclientes->addCliente() != NULL){
             $this->session->set_flashdata('message', array('messageType' => 'success','Message' => 'El registro se ha almacenado correctamente.'));
        }else{
             $this->session->set_flashdata('message', array('messageType' => 'error','Message' => 'Ocurrio un error al guardar el registro.'));
        }
     redirect('clientes','refresh');
    }else {
     redirect('clientes/add','refresh');
    }
  
}//saveNewCliente

//**** Buscar Cliente *****

public function buscar(){

 if(!empty ($_POST)){
  
  if($this->ventas->Busqueda()!=NULL){
     $Clientes=$this->ventas->Busqueda();
print('
    <table class="admintable" width="99%;">
    
    <tr>
        <th>ID</th>
        <th>Contacto</th>
        <th>Empresa</th>
        <th>Teléfono</th>
        <th>Ejecutivo</th>

        <th>Acciones</th>
    </tr>
    <tr>

        <td align="center"> 

        </td>
         <td> </td>
        <td align="center"> 

        </td>
        <td> </td>
        <td> </td>
        <td align="center">
         </td>
        <td align="center"></td>
    </tr>
  ');

foreach ($Clientes as $Cliente){
$idcli=$Cliente['id'];
$ww=$this->db->query("select nombre,id_cliente from clientes_contactos where id_cliente = '$idcli' order by fechadd desc limit 0,1");
foreach ($ww->result() as $row)
{

$contacto=$row->nombre;
}
$clientez=$Cliente['id'];
print('
    <tr>
        <td align="center">'.$Cliente['id_serie'].'</td>
        <td align="center">'.$contacto.'</td>
        <td align="center">'.$Cliente['empresa'].'</td>
        <td> '.$Cliente['telefono'].'</td>
        <td> '.$Cliente['name'].'</td>');



//   $Link_Ficha = anchor('#','<img src="' . base_url() . 'img/delete.png" title="Eliminar" border="0">', array ('onClick' => "return confirm('Desea eliminar el registro?')"));
//   $Link_Ficha = anchor('#','<img src="' . base_url() . 'img/delete.png" title="Eliminar" border="0">', array ('onClick' => "FAjax('http://app.hanker/ventas/cotizacion_cliente/1','container','','GET')"));
   $Link_Ficha = ('<img src="' . base_url() . 'img/Preview_Docment.png" width="16px;" height="16px;" align="middle" title="Ver lista de ventas" border="0" '. 'onClick'. '=' ."FAjax('".base_url().'/compras/cotizacion_cliente/'.$clientez."','container','','GET')".' >');


//$Link_Ficha='<img src="'.base_url().'img/Preview_Docment.png" width="16px;" height="16px;" title="Ficha del Cliente">';
$image_Editar = array(
       'src' => base_url().'img/edit.png',
       'alt' => 'Editar Cliente',
       'class' => '',
       'width' => '16',
       'height' => '16',
       'title' => 'Editar Cliente'
  );


$Link_editar=anchor(base_url()."clientes/editar/".$Cliente['id'],img($image_Editar),'Editar del cliente');
$idcli=$Cliente['id'];
$ww=$this->db->query("select nombre from clientes_contactos where id_cliente = '$idcli' order by fechadd desc limit 0,1");
foreach ($ww->result() as $row)
{

$contacto=$row->nombre;

}

print('<td align="center"> '.$Link_Ficha.'</td>');
print('</tr>');


 }//Foreach del Cliente

print('</table>');

    
   }//Cierre de que si hay datos
    else{
        print("0");
     }

   
 }//$_POST

}//Fin de Buscar

//Ficha Tecnica del Cliente

public function ficha($id){

     $Data['title']= "Panel de Administración";
 $Data['cassadmin']=$this->_csstyle["cassadmin"];
    $Data['csmenu']=$this->_csstyle["csmenu"];
$Data['csvalidate']=$this->_csstyle["csvalidate"];

	  $Data['csui']=$this->_csstyle["csui"];
      $Data['csuidemo']=$this->_csstyle["csuidemo"];


   $Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
  $Data['Fecha_actual']=$this->_fechaActual;

                 $Data['Jry']=$this->_jss['jquery'];
                $Data['Jqui']=$this->_jss['jqueryui'];
           $Data['jvalidate']=$this->_jss['jvalidate'];
      $Data['jFicha_cliente']=$this->_jss['jFicha_cliente'];
    $Data['jFicha_historial']=$this->_jss['jFicha_historial'];

       $this->load->view("cabezera",$Data);
       $this->load->view('header',$Data);
       $this->load->view("principal",$Data);

          $Conte['Categoria']=$this->uri->segment(1);

                       $Datos=$this->modeloclientes->getNameCliente($id);

      $Conte["dclientes"]=$this->modeloclientes->getNameCliente($id);

                $Conte["IDC"]=$id;

      $this->load->view("clientes/ficha",$Conte);

      $this->load->view("pie",$Data);



}//Fin de public de Function

public function editar($id){

         $Data['title']= "Panel de Administración";
	 $Data['cassadmin']=$this->_csstyle["cassadmin"];
        $Data['csmenu']=$this->_csstyle["csmenu"];
    $Data['csvalidate']=$this->_csstyle["csvalidate"];


   $Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
  $Data['Fecha_actual']=$this->_fechaActual;

            $Data['Jry']=$this->_jss['jquery'];
      $Data['jvalidate']=$this->_jss['jvalidate'];

       $this->load->view("cabezera",$Data);
       $this->load->view('header',$Data);
       $this->load->view("principal",$Data);

      $Conte['Categoria']=$this->uri->segment(1);
	  
	  $Conte['Clientes']=$this->modeloclientes->getAllCliente($id);

      $this->load->view("clientes/editar",$Conte);

      $this->load->view("pie",$Data);	

	
}//Fin de Editar


public function saveCliente(){
    if(!empty ($_POST)){
		
       $id = intval($this->input->post('id'));		
		
        if($this->modeloclientes->SaveCliente($id) != NULL){
          $this->session->set_flashdata('message', array('messageType' => 'success','Message' => 'El registro se ha almacenado correctamente.'));
        }else{
             $this->session->set_flashdata('message', array('messageType' => 'error','Message' => 'Ocurrio un error al guardar el registro.'));
        }
     redirect('clientes','refresh');
    }else {
     redirect('clientes/add','refresh');
    }
  
}//saveNewCliente

//****************** Ficha del Cliente *****************

public function SaveNewContactoCliente(){

 if(!empty($_POST)){
 

   if($this->modeloclientes->SaveNewContactoCliente()!=NULL){
     print("1");
   }//Comparacion SaveNewContactoCliente
  else{
	print("0");
  }

 }//Datos del POST
	
}//SaveNewContactoCliente

public function cotizacion_cliente($idcl)
{
 $Datos['Cotizaciones'] = $this->ventas->cotizacion_cliente($idcl);
$Datos['idcliente']=$idcl;
$this->load->view('compras/cotizacion_cliente2',$Datos);


}

//********************* Historial de Clientes *********

public function ListCotizaciones($Limite=0){

    // First Links
$Pag['first_link'] = 'Inicio';
$Pag['first_tag_open'] = '<li>';
$Pag['first_tag_close'] = '</li>';

// Last Links
$Pag['last_link'] = 'Fin';
$Pag['last_tag_open'] = '<li>';
$Pag['last_tag_close'] = '</li>';

// Next Link
$Pag['next_link'] = '&raquo;';
$Pag['next_tag_open'] = '<li>';
$Pag['next_tag_close'] = '</li>';

// Previous Link
$Pag['prev_link'] = '&laquo;';
$Pag['prev_tag_open'] = '<li>';
$Pag['prev_tag_close'] = '</li>';

// Current Link
$Pag['cur_tag_open'] = '<li class="active">';
$Pag['cur_tag_close'] = '</li>';

// Digit Link
$Pag['num_tag_open'] = '<li>';
$Pag['num_tag_close'] = '</li>';

if(!empty ($_POST)){

    if($this->input->post('T1')=="all"){

          $Pag["base_url"]= base_url()."compras/ListCotizaciones";
        $Pag["total_rows"]=$this->ventas->coutCotizacion();//Total de Registros
          $Pag["per_page"]=5;
         $Pag["num_links"]=5;

        $this->pagination->initialize($Pag);

        $Datos['Cotizaciones'] = $this->ventas->get_AllPagCotizacion($Pag["per_page"],$Limite);

        $Datos['inicio']  = $Limite;
  	           $num_r = count($Datos['Cotizaciones']);
	$Datos['per_page']= $num_r;
           
    }//Muestra todos de la lista
    else
       if($this->input->post('T1')=="pag"){

          $Pag["base_url"]= base_url()."clientes/ListCotizaciones";
        $Pag["total_rows"]=$this->modeloclientes->coutCotizacion();//Total de Registros
          $Pag["per_page"]=5;
         $Pag["num_links"]=5;

        $this->pagination->initialize($Pag);

        $Datos['Cotizaciones'] = $this->modeloclientes->get_AllPagCotizacion($Pag["per_page"],$Limite);

        $Datos['inicio']  = $Limite;
                   $num_r = count($Datos['Registros']);
        $Datos['per_page']= $num_r;
        
     }//Pag


}//Fin del POST

$this->load->view("clientes/ficha/ListCotizacion",$Datos);


}//Lista de Cotizaciones 






//******************************************************
}//Clasede Clientes
?>
